Package com.independentsoft.office.odf.drawing

# Class Circle

java.lang.Object
com.independentsoft.office.odf.drawing.Shape
com.independentsoft.office.odf.drawing.Circle

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `IParagraphContent`, `ITextContent`

public class Circle extends Shape
Represents a circular drawing shape.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.drawing.Shape

  `height, id, layer, name, parent, style, textStyle, transform, width, x, y, zIndex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Circle()`
  Initializes a new instance of the Circle class.
  `Circle​(InternalXMLStreamReader reader)`
  Instantiates a new circle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(IDrawText drawText)`
  Adds a IDrawText object to the content.
  `void`
  `add​(List list)`
  Adds a List object to the content.
  `void`
  `add​(Paragraph paragraph)`
  Adds a Paragraph object to the content.
  `Circle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCenterX()`
  Gets the X coordinate of a ellipse center.
  `String`
  `getCenterY()`
  Gets the Y coordinate of a ellipse center.
  `List<IDrawText>`
  `getContent()`
  Contains a collection of IDrawText objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `double`
  `getEndAngle()`
  Gets the end angle of a arc, cut, or section for ellipse.
  `List<IEventListener>`
  `getEventListeners()`
  Contains an attachment of an event listener to a drawing shape.
  `List<GluePoint>`
  `getGluePoints()`
  Contains the designated point in the area of a drawing object to which a connector shape can connect.
  `Kind`
  `getKind()`
  Gets the appearance of a circle.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `Size`
  `getRadius()`
  Gets the radius of a circle.
  `String`
  `getRelativeHeight()`
  Gets height of a drawing object as a relative value within a frame.
  `String`
  `getRelativeWidth()`
  Gets width of a drawing object as a relative value within a frame.
  `double`
  `getStartAngle()`
  Gets the start angle of a section, cut, or arc for ellipse.
  `void`
  `setCenterX​(String centerX)`
  Sets the X coordinate of a ellipse center.
  `void`
  `setCenterY​(String centerY)`
  Sets the Y coordinate of a ellipse center.
  `void`
  `setEndAngle​(double endAngle)`
  Sets the end angle of a arc, cut, or section for ellipse.
  `void`
  `setKind​(Kind kind)`
  Sets the appearance of a circle.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setRadius​(Size radius)`
  Sets the radius of a circle.
  `void`
  `setRelativeHeight​(String relativeHeight)`
  Sets height of a drawing object as a relative value within a frame.
  `void`
  `setRelativeWidth​(String relativeWidth)`
  Sets width of a drawing object as a relative value within a frame.
  `void`
  `setStartAngle​(double startAngle)`
  Sets the start angle of a section, cut, or arc for ellipse.
  `String`
  `toString()`
  Converts the value of the current Circle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.drawing.Shape

  `getHeight, getID, getLayer, getName, getStyle, getTextStyle, getTransform, getWidth, getX, getY, getZIndex, setHeight, setID, setLayer, setName, setStyle, setTextStyle, setTransform, setWidth, setX, setY, setZIndex`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Circle

    public Circle()
    Initializes a new instance of the Circle class.

  - ### Circle

    public Circle​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new circle.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(List list)
    Adds a List object to the content.
    Parameters:
      `list` - the list

  - ### add

    public void add​(Paragraph paragraph)
    Adds a Paragraph object to the content.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(IDrawText drawText)
    Adds a IDrawText object to the content.
    Parameters:
      `drawText` - the draw text

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Shape`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Shape`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Shape`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Circle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `ITextContent`
    Specified by:
      `clone` in class `Shape`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Circle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<IDrawText> getContent()
    Contains a collection of IDrawText objects.
    Returns:
      the content

  - ### getEventListeners

    public List<IEventListener> getEventListeners()
    Contains an attachment of an event listener to a drawing shape.
    Returns:
      the event listeners

  - ### getGluePoints

    public List<GluePoint> getGluePoints()
    Contains the designated point in the area of a drawing object to which a connector shape can connect.
    Returns:
      the glue points

  - ### getRelativeWidth

    public String getRelativeWidth()
    Gets width of a drawing object as a relative value within a frame.
    Returns:
      the relative width

  - ### setRelativeWidth

    public void setRelativeWidth​(String relativeWidth)
    Sets width of a drawing object as a relative value within a frame.
    Parameters:
      `relativeWidth` - the new relative width

  - ### getRelativeHeight

    public String getRelativeHeight()
    Gets height of a drawing object as a relative value within a frame.
    Returns:
      the relative height

  - ### setRelativeHeight

    public void setRelativeHeight​(String relativeHeight)
    Sets height of a drawing object as a relative value within a frame.
    Parameters:
      `relativeHeight` - the new relative height

  - ### getCenterX

    public String getCenterX()
    Gets the X coordinate of a ellipse center.
    Returns:
      the center x

  - ### setCenterX

    public void setCenterX​(String centerX)
    Sets the X coordinate of a ellipse center.
    Parameters:
      `centerX` - the new center x

  - ### getCenterY

    public String getCenterY()
    Gets the Y coordinate of a ellipse center.
    Returns:
      the center y

  - ### setCenterY

    public void setCenterY​(String centerY)
    Sets the Y coordinate of a ellipse center.
    Parameters:
      `centerY` - the new center y

  - ### getRadius

    public Size getRadius()
    Gets the radius of a circle.
    Returns:
      the radius

  - ### setRadius

    public void setRadius​(Size radius)
    Sets the radius of a circle.
    Parameters:
      `radius` - the new radius

  - ### getKind

    public Kind getKind()
    Gets the appearance of a circle.
    Returns:
      the kind

  - ### setKind

    public void setKind​(Kind kind)
    Sets the appearance of a circle.
    Parameters:
      `kind` - the new kind

  - ### getStartAngle

    public double getStartAngle()
    Gets the start angle of a section, cut, or arc for ellipse.
    Returns:
      the start angle

  - ### setStartAngle

    public void setStartAngle​(double startAngle)
    Sets the start angle of a section, cut, or arc for ellipse.
    Parameters:
      `startAngle` - the new start angle

  - ### getEndAngle

    public double getEndAngle()
    Gets the end angle of a arc, cut, or section for ellipse.
    Returns:
      the end angle

  - ### setEndAngle

    public void setEndAngle​(double endAngle)
    Sets the end angle of a arc, cut, or section for ellipse.
    Parameters:
      `endAngle` - the new end angle